Download it now!
Bug 118476 - Korean Hanja to Hangul Conversion can't show multiple Korean Hangul Characters
Summary: Korean Hanja to Hangul Conversion can't show multiple Korean Hangul Characters
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.6.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: CJK
  Show dependency treegraph
 
Reported: 2018-06-30 22:11 UTC by DaeHyun Sung
Modified: 2019-08-19 06:59 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Convert Hanja 龜 to Hangul 구/귀/균 (Bug) (125.22 KB, image/png)
2018-06-30 22:15 UTC, DaeHyun Sung
Details
Convert Hangul 구 to Hanja 龜 (Correct) (833.09 KB, image/png)
2018-06-30 22:17 UTC, DaeHyun Sung
Details
Convert Hangul 귀 to Hanja 龜 (Correct) (817.21 KB, image/png)
2018-06-30 22:19 UTC, DaeHyun Sung
Details
Convert Hangul 균 to Hanja 龜 (Correct) (817.40 KB, image/png)
2018-06-30 22:20 UTC, DaeHyun Sung
Details
Convert Hanja 寧 to Hangul 녕/령/영 (Bug) (134.66 KB, image/png)
2018-06-30 22:25 UTC, DaeHyun Sung
Details
Convert Hanja 茶 to Hangul 다/차 (Bug) (185.50 KB, image/png)
2018-06-30 22:27 UTC, DaeHyun Sung
Details

Note You need to log in before you can comment on or make changes to this bug.
Description DaeHyun Sung 2018-06-30 22:11:52 UTC
Description:
Hanja(한자/漢字) is the Korean name for Chinese characters.
Each Hanja(한자/漢字) consists of at least three parts in a Korean dictionary. But knowing the other three parts listed here is also helpful for memorization and application:

For Literacy:
The symbol: 家
The sound: 가(ga)
The meaning: 집/집안 or가문(house/family)


some Hanja characters have more than one representation.
Example 
家 - reads only one Korean Sound, 가(ga)
茶 - read 2 Korean Sounds, 차(Cha), 다(Da)
龜 - read 3 Korean Sounds, 구(Gu), 귀(Gwi), 균(Gyun).
寧 - read 3 Korean Sounds, 녕(Nyeong), 령(Ryeong), 영(yeong).
樂 - read 4 Korean sounds, 낙(Nak) 락(Lak) 악(Ak) 요(yo).

But, In LibreOffice's "Hangul/Hanja Conversion" feature, Hanja(한자/漢字) to Hangul(한글) results only one Korean Hangul Pronunciation.


家 - reads only one Korean Sound, 가(ga) -> It's Ok

茶 - read 2 Korean Sounds, 차(Cha), 다(Da)

茶啖
Example)
- 다담(Da Dam)
- 차담(Cha Dam)
茶房 
Example)
- 다방(Da Bang)
- 차방(Cha Bang)

Reference: https://medium.com/@studioego/%ED%95%9C%EA%B5%AD%EC%96%B4%EC%97%90%EC%84%A0-%E8%8C%B6-%EB%A5%BC-%EC%B0%A8-%EB%8B%A4-%EB%A1%9C-%EC%9D%BD%EC%8A%B5%EB%8B%88%EB%8B%A4-c4888711873f

龜 - read 3 Korean Sounds, 구(Gu), 귀(Gwi), 균(Gyun).

구미(龜尾, reads "Gu-mi") – South Korea’s Southeast local city name
귀감(龜鑑, reads "Gwi-gam") -  role model
균열(龜裂, reads "Gyun-yeol") - crack

寧 - read 3 Korean Sounds, 녕(Nyeong), 령(Ryeong), 영(yeong).
Example)
안녕(安寧, reads "Annyeong") - hi
안녕하세요(安寧하세요, annyeong-haseyo") -  Hello
개령(開寧, reads "Gae-Ryeong") – South Korea’s South-east Area’s local name
영일(寧日, reads "Yeong-il") – a peaceful day

樂 - read 4 Korean sounds, 낙(Nak) 락(Lak) 악(Ak) 요(yo).
Example)
낙원(樂園, reads "Nak-won") - paradise
쾌락(快樂, reads "Kwae-rak") - pleasure
음악(音樂, reads "Eum-ak") - Music
子曰,知者樂水, 仁者樂山(자왈, 지자요수, 인자요산. reads "ja-wal, jija-yosu,Inja-yosan") 

The Master said, The wise find pleasure in water; the virtuous find pleasure in hills.
공자[孔子]님 가라사대, 슬기로운 사람은 물을 좋아하고, 어진 사람은 뫼[산,山]를 좋아한다. 
요산요수(樂山樂水, reads "yo-san-yo-su") 


Below is Korean Hanja "龜" information.
龜
meaning: 땅이름[land name], sound : ‘구(Gu)’
meaning: 거북[turtle], sound : ‘귀(Gwi)’
meaning: 터지다[crack], sound: ‘균(Gyun)’
일본어 음독(日本語 音読み): キ, キュウ, キン
일본어 음독(日本語 訓読み): かめ 
한어병음(漢語拼音, Pinyin): guī, qiū, jūn
주음부호(注音符號, Bopomofo): ㄍㄨㄟ,ㄑㄧㄡ, ㄐㄩㄣ
Example) 
구미(龜尾, reads "Gu-mi") – South Korea’s Southeast local city name
귀감(龜鑑, reads "Gwi-gam") -  role model
균열(龜裂, reads "Gyun-yeol") - crack

Steps to Reproduce:
- input a Hanja(한자/漢字) Character "龜" then, Choose Tools - Language - Hangul/Hanja Conversion , shows only "균"
Expected result: shows three sounds, "구", "귀", "균" on list 

1. input a Hanja(한자/漢字) Character "龜"
2. Choose Tools - Language - Hangul/Hanja Conversion
3. result: shows only "균"


Actual Results:
균

Expected Results:
구 귀 균 


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 DaeHyun Sung 2018-06-30 22:15:58 UTC
Created attachment 143236 [details]
Convert Hanja 龜 to Hangul 구/귀/균 (Bug)

- input a Hanja(한자/漢字) Character "龜" then, Choose Tools - Language - Hangul/Hanja Conversion , shows only "균"
Expected result: shows three sounds, "구", "귀", "균" on list
Comment 2 DaeHyun Sung 2018-06-30 22:17:58 UTC
Created attachment 143237 [details]
Convert  Hangul 구 to Hanja 龜 (Correct)

Convert  Hangul 구 to Hanja 龜 (Correct) on LibreOffice
Comment 3 DaeHyun Sung 2018-06-30 22:19:50 UTC
Created attachment 143238 [details]
Convert  Hangul 귀 to Hanja 龜 (Correct)

Convert  Hangul 귀 to Hanja 龜 on LibreOffice (Correct)
Comment 4 DaeHyun Sung 2018-06-30 22:20:36 UTC
Created attachment 143239 [details]
Convert  Hangul 균 to Hanja 龜 (Correct)

Convert  Hangul 균 to Hanja 龜 on LibreOffice (Correct)
Comment 5 DaeHyun Sung 2018-06-30 22:25:48 UTC
Created attachment 143240 [details]
Convert Hanja 寧 to Hangul 녕/령/영 (Bug)

- input a Hanja(한자/漢字) Character "寧" then, Choose Tools - Language - Hangul/Hanja Conversion , shows only "영"
Expected result: shows three sounds, "녕", "령", "영" on list
Comment 6 DaeHyun Sung 2018-06-30 22:27:21 UTC
Created attachment 143241 [details]
Convert Hanja 茶 to Hangul 다/차 (Bug)

- input a Hanja(한자/漢字) Character "茶" then, Choose Tools - Language - Hangul/Hanja Conversion , shows only "차"
Expected result: show two sounds, "다", "차" on list
Comment 7 Buovjaga 2018-07-14 17:40:21 UTC
Please copy and paste here the contents of your Help - About. This allows us to know more about your system.
Comment 8 Hiunn-hué 2018-08-12 16:33:13 UTC
Not a korean user, but I just tried to reproduce this.



● Summary: 

A Chinese character can have multiple pronounciations. But this converting tool does not list all possible pronounciations of each chinese character.


● Steps:

 1. Open the Writer and input/paste this Chinese character: 樂

 2. This step is nessecery, otherwise the converter won't run: Set the text language to Korean. 

 3. Press Tools > Language > Hangul/Hanja Conversion.

 4. A dialog window pops up


● Expected Result: 

The chinese charachter "樂" has 4 pronounciations in the Korean language: 낙(Nak) 락(Lak) 악(Ak) 요(Yo). Therefore all 4 pronounciations shoud be listed.


● Actual Result:

Only one pronounciation is listed:  악(Ak)  or  요(Yo).


● Environment: 

Version: 6.0.6.2
Build ID: 1:6.0.6-0ubuntu0.16.04.1
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: zh-TW (zh_TW.UTF-8); Calc: group

and

Version: 6.2.0.0.alpha0+
Build ID: c0fdcece6b886912618deee9656cb2d169a9b999
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-08-11_23:12:56
Locale: zh-TW (zh_TW.UTF-8); Calc: threaded
Comment 9 Buovjaga 2018-08-16 18:37:46 UTC
NEW per last comment.
Comment 10 QA Administrators 2019-08-19 06:59:11 UTC
Dear DaeHyun Sung,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug